=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(ament_cmake_gmock REQUIRED)
add_subdirectory(maliput_ros)
