=== debian/changelog ===
ros-foxy-maliput-ros (0.1.1-1focal) focal; urgency=high

  * Adds READMEs to the packages. (#24 <https://github.com/maliput/ros2_maliput/issues/24>)
  * Sample lane s route (#21 <https://github.com/maliput/ros2_maliput/issues/21>)
  * Routing service (#20 <https://github.com/maliput/ros2_maliput/issues/20>)
  * Road position services (#19 <https://github.com/maliput/ros2_maliput/issues/19>)
  * Refactor tests to scale build time (#18 <https://github.com/maliput/ros2_maliput/issues/18>)
  * Adds branch point service (#17 <https://github.com/maliput/ros2_maliput/issues/17>)
  * Adds lane service (#16 <https://github.com/maliput/ros2_maliput/issues/16>)
  * Add get segment service (#15 <https://github.com/maliput/ros2_maliput/issues/15>)
  * Add get junction service (#14 <https://github.com/maliput/ros2_maliput/issues/14>)
  * Add tests to ROS node (#10 <https://github.com/maliput/ros2_maliput/issues/10>)
  * Create maliput ros node (#8 <https://github.com/maliput/ros2_maliput/issues/8>)
  * Create maliput_ros package (#7 <https://github.com/maliput/ros2_maliput/issues/7>)
  * Contributors: Agustin Alba Chicar

 -- Agustin Alba Chicar <ag.albachicar@ekumenlabs.com>  Mon, 17 Apr 2023 03:00:00 -0000
